# Installation
> `npm install --save @types/data-urls`

# Summary
This package contains type definitions for data-urls (https://github.com/jsdom/data-urls#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/data-urls.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/data-urls/index.d.ts)
````ts
// Type definitions for data-urls 3.0
// Project: https://github.com/jsdom/data-urls#readme
// Definitions by: Jaime Filho <https://github.com/jaimeadf>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 3.6

/// <reference types="node" />

import MIMEType = require('whatwg-mimetype');
import { URLRecord } from 'whatwg-url';

declare function parseDataURL(stringInput: string): parseDataURL.DataURL | null;

declare namespace parseDataURL {
    interface DataURL {
        mimeType: MIMEType;
        body: Uint8Array;
    }

    function fromURLRecord(urlRecord: URLRecord): DataURL | null;
}

export = parseDataURL;

````

### Additional Details
 * Last updated: Tue, 16 Aug 2022 08:32:34 GMT
 * Dependencies: [@types/whatwg-mimetype](https://npmjs.com/package/@types/whatwg-mimetype), [@types/whatwg-url](https://npmjs.com/package/@types/whatwg-url), [@types/node](https://npmjs.com/package/@types/node)
 * Global values: none

# Credits
These definitions were written by [Jaime Filho](https://github.com/jaimeadf).
